package org.cn3.morpho.domain;

/**
 * 
 * @author gillette
 * Extension of DistributionBean which allows distribution parameters
 * to be set directly. 
 */
public class AccessibleDistributionBean extends DistributionBean{

	public void setMean(double mean){
		this.mean = mean;
		meanReady = true;
	}
	
	public void setVariance(double variance){
		this.variance = variance;
	}

	public void setStandardDeviation(double standardDeviation){
		this.standardDeviation = standardDeviation;
	}
	
	public void setPercentile(double percentile, double value){
		percentileMap.put(new Double(percentile), new Double(value));
	}
	
}
