package org.cn3.ns.organize;

import java.util.List;
import java.util.Map;

import org.cn3.ns.data.NSDataReader;

public class GetCurrentVersionInfo {

	public static void main(String args[]){
		try{
			List<Integer> uniqueSequenceLengths = NSDataReader.loadUniqueSequenceLengths();
			List<String> seqListByLength = NSDataReader.loadSequenceListOrderedByLength();
			Map<String,Integer> seqLengthMap = NSDataReader.loadLengthDatabase();
			System.out.println(uniqueSequenceLengths.size()+" unique sequence lengths");
			System.out.println(seqListByLength.size()+" arbor sequences");
			int index;
			Object seqName;
			for (int i = 1; i <= 4; i++){
				index = seqListByLength.size()-i;
				seqName = seqListByLength.get(index);
				System.out.println(seqName+": "+seqLengthMap.get(seqName));
			}
		} catch (Exception e){
			e.printStackTrace();
		}
	}
}
