package org.cn3.morpho.domain;

import java.util.List;

public interface TreeNode<T,O> {

	T getParent();
    boolean hasParent();
    O getData();
    
    List<T> getChildren();
    boolean hasChildren();
    boolean isLeaf();
    int getDegree();

}
