package org.cn3.morpho.domain;


public class TreeRoot<T>{

	protected T child;
	protected Object data;
	protected int degree;
	
	public TreeRoot(){}
	public TreeRoot(T child){
		setChild(child);
	}
	
	public TreeRoot(T child, Object data){
		setChild(child);
		this.data = data;
	}

	public void setChild(T child){
		this.child = child;
	}
	
	public T getChild(){
		return child;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}
	
	public SwcDataNode getSwcData(){
    	if (data != null && data.getClass().equals(SwcDataNode.class)){
    		return (SwcDataNode)data;
    	}
        return null;
	}

	public boolean isLeaf(){ return false; }
	public boolean hasChildren(){
		return child != null;
	}
}
