package org.cn3.morpho.utils;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

public class ProcessHandler extends Thread {

	public static final int MODE_HIDE = 0;
	public static final int MODE_SYSTEM_OUT = 1;
	
	private InputStream inpStr;
	private String strType;
	private int handleMode = MODE_HIDE;
	
	public ProcessHandler(InputStream inpStr, String strType) {
		this.inpStr = inpStr;
		this.strType = strType;
	}

	public ProcessHandler(InputStream inpStr, String strType, int mode) {
		this.inpStr = inpStr;
		this.strType = strType;
		this.handleMode = mode;
	}

	public void run() {
		try {
			InputStreamReader inpStrd = new InputStreamReader(inpStr);
			BufferedReader buffRd = new BufferedReader(inpStrd);
			String line = null;
			while((line = buffRd.readLine()) != null) {
				if (handleMode == MODE_SYSTEM_OUT){
					System.out.println(strType + " -> " + line);
				}
			}
			buffRd.close();
		
		} catch(Exception e) {
			System.out.println(e);
		}
	}
}