package org.cn3.ns.domain;

import org.cn3.morpho.domain.BinaryTreeNode;

public class ANode extends BinaryTreeNode {

	public void setSmallSideChild(BinaryTreeNode child){
		super.setLeft(child);
	}

	public void setLargeSideChild(BinaryTreeNode child){
		super.setRight(child);
	}

	public BinaryTreeNode getSmallSideChild(){
		return super.getLeft();
	}
	
	public boolean hasSmallSideChild(){
		return super.getLeft()!=null;
	}

	public BinaryTreeNode getLargeSideChild(){
		return super.getRight();
	}

	public boolean hasLargeSideChild(){
		return super.getRight()!=null;
	}
}
